# Uses of Class
org.apache.zookeeper.KeeperException.UnknownSessionException

Packages that use KeeperException.UnknownSessionException
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of KeeperException.UnknownSessionException in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that throw KeeperException.UnknownSessionException
Modifier and Type
Method
Description
`void`
SessionTracker.`checkSession(long sessionId, Object owner)`
Checks whether the SessionTracker is aware of this session, the session is still active, and the owner matches.
`void`
SessionTrackerImpl.`checkSession(long sessionId, Object owner)`

## Uses of KeeperException.UnknownSessionException in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum that throw KeeperException.UnknownSessionException
Modifier and Type
Method
Description
`void`
LeaderSessionTracker.`checkSession(long sessionId, Object owner)`